/* -*- c++ -*- */

#define MYMOD_API
#define DIGITAL_API

%include "gnuradio.i"			// the common stuff

//load generated python docstrings
%include "mymod_swig_doc.i"

%{
#include "gnuradio/digital/constellation.h"
#include "mymod/c_fir_filter.h"
#include "mymod/switch_const.h"
#include "mymod/energy_detect.h"
%}

%include "gnuradio/digital/constellation.h"
%import "constellation.i"

%include "mymod/c_fir_filter.h"
GR_SWIG_BLOCK_MAGIC2(mymod, c_fir_filter);
%include "mymod/switch_const.h"
GR_SWIG_BLOCK_MAGIC2(mymod, switch_const);
%include "mymod/energy_detect.h"
GR_SWIG_BLOCK_MAGIC2(mymod, energy_detect);
